@import url('https://fonts.googleapis.com/css2?family=Patrick+Hand&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Marmelad&display=swap');
.box-index-text {
    display: flex;
    height: 100%;
    width: 50%;
    min-width: 300px;
    flex-direction: column;
    gap: 20px;
    align-items: flex-start;
    align-content: flex-start;
    justify-content: center;
}

.box-index-text h1 {
    margin: 0;
    color: var(--text-color);
    font-family: Marmelad;
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}

.box-index-text h3 {
    margin: 0;
    font-size: 28px;
    font-family: Marmelad;
}

.box-index-text p {
    margin: 0;
    font-family: Marmelad;
    font-size: 22px;
}

.box-index-text h1 span {
    color: var(--text-color-active);
    font-family: Patrick Hand;
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}

.box-index-text h3 span {
    color: var(--text-color-active);
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}

.main-item.main-item-index {
    height: 100%;
}
.main-item-page {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: flex-start;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 40px;
    height: 100%;
    overflow: auto;
}

.main-item > h2 {
    font-size: 36px;
    margin: 0;
    padding-bottom: 10px;
    color: var(--text-color);
    position: relative;
    max-height: 60px;
    min-height: 60px;
    box-sizing: border-box;
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}

.main-item > h2:after {
    content: '';
    height: 4px;
    width: 25px;
    display: block;
    background: var(--text-color-active);
    position: absolute;
    bottom: 0px;
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}

.main-item > h2:before {
    content: '';
    height: 4px;
    width: 50px;
    display: block;
    background: var(--text-color-active);
    position: absolute;
    bottom: 6px;
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}

.main-item-page-body {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: flex-start;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 20px;
    padding-right: 30px;
}

.main-item-page-body h3 {
    margin: 0;
    font-size: 26px;
    font-family: Marmelad;
}

.main-item-page-body p {
    margin: 0;
    font-family: Marmelad;
    font-size: 20px;
}
.main-item-page-body h3 span {
    color: var(--text-color-active);
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}

.main-item-projects {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: flex-start;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 40px;
    height: 100%;
    overflow: auto;
}

.main-item-projects-body h3 {
    margin: 0;
    font-size: 26px;
    font-family: Marmelad;
}

.main-item-projects-body {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    align-content: flex-start;
    justify-content: flex-start;
    gap: 10px;
    width: 100%;
    padding-right: 65px;
    height: 100%;
}

.main-item-projects-item {
    width: calc((100% - (4 * 10px)) / 5);
    height: calc((100% - (2 * 10px)) / 2);
    position: relative;
    background: var(--bg-project);
}

img.item-projects-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.8;
}

.item-projects-box {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 15px 10px;
    overflow: hidden;
}

.main-item-projects-item:hover .item-projects-box:before {
    opacity: 0.9;
}

.item-projects-box:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    background: var(--bg-project);
    z-index: 1;
    opacity: 0;
    -moz-transition: all .5s ease-out;
    -o-transition: all .5s ease-out;
    -webkit-transition: all .5s ease-out;
    transition: all .5s ease-out;
}

.item-projects-text {
    position: relative;
    z-index: 2;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.item-projects-info {
    display: flex;
    position: relative;
    z-index: 2;
    flex-direction: column;
    align-items: center;
    bottom: -60px;
    opacity: 0;
}

.item-projects-h2 {
    margin: 0;
    font-size: 20px;
    color: #fff;
    text-shadow: 2px 2px 10px rgba(0,0,0,0.3);
	overflow: hidden;
	display: -webkit-box;
	-webkit-line-clamp: 2;
			line-clamp: 2;
	-webkit-box-orient: vertical;
}

.item-projects-info1 {
    color: #fff;
    font-size: 16px;
    position: relative;
    left: calc(100% + 10px);
    opacity: 0;
    width: 100%;
	overflow: hidden;
	display: -webkit-box;
	-webkit-line-clamp: 1;
			line-clamp: 1;
	-webkit-box-orient: vertical;
}

.item-projects-info2 {
    color: #fff;
    font-size: 14px;
    right: calc(100% + 10px);
    width: 100%;
    opacity: 0;
    position: relative;
	overflow: hidden;
	display: -webkit-box;
	-webkit-line-clamp: 4;
			line-clamp: 4;
	-webkit-box-orient: vertical;
}
.main-item-projects-item:hover .item-projects-info1 {
    left: 0%;
    opacity: 1;
}
.main-item-projects-item:hover .item-projects-info2 {
    right: 0%;
    opacity: 1;
}

.main-item-projects-item:hover .item-projects-info {
    bottom: 0px;
    opacity: 1;
}
.item-projects-info > span {
    text-align: center;
}
.main-item-contact {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: flex-start;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 40px;
    height: 100%;
    overflow: auto;
}

.box-contact-head {
    margin: 0;
    font-size: 18px;
    font-family: Marmelad;
    text-align: center;
}
.box-contact-footer {
    margin: 0;
    font-size: 14px;
    font-weight: 400;
    width: 80%;
    min-width: 350px;
    text-align: center;
}
.main-item-contact-body {
    display: flex;
    flex-direction: column;
    align-items: center;
    align-content: flex-start;
    gap: 30px;
    justify-content: center;
    height: 100%;
    width: 100%;
    padding-right: 15px;
}

.box-contact-body {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    align-items: flex-start;
    align-content: center;
    justify-content: center;
    gap: 20px;
}

.box-contact-item {
    display: flex;
    align-items: center;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    gap: 10px;
    background: var(--bg-color);
    border-radius: 25px;
    padding: 5px 15px 5px 5px;
    box-sizing: border-box;
    box-shadow: 0px 0px 8px 0px var(--header-shadow);
}

.box-contact-info {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.box-contact-item > i {
    min-width: 50px;
    max-width: 50px;
    min-height: 50px;
    max-height: 50px;
    border-radius: 50%;
    background: var(--text-color-active);
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    align-content: center;
    flex-wrap: nowrap;
    flex-direction: row;
    font-size: 24px;
}